use TemporalSnapshotFact
go

create table tmp.daterange_items_all_ranges
(
	item_id int not null,
	valid_from date not null,
	valid_to date not null,
	primary key (item_id, valid_from, valid_to)
)
go

create table tmp.daterange_items_all_dates
(
	item_id int not null,
	item_date date not null
	primary key (item_id, item_date)
)
go

create table tmp.daterange_items_new_ranges (
    [item_id] int not null,
    [valid_from] date not null,
    [valid_to] date not null,
	primary key (item_id, valid_from, valid_to)
)

create table tmp.daterange_all_new_ranges (
    [valid_from] date not null,
    [valid_to] date not null,
	primary key (valid_from, valid_to)
)
go

