use [TemporalSnapshotFact]
go

select count(*) from olap.vw_fact_items
select count(*) from olap.vw_fact_subitems
select count(*) from olap.vw_dim_daterange
select count(*) from olap.vw_bridge_date_datarange

select count(*) from olap.vw_fact_items_daily_snapshot
select count(*) from olap.vw_fact_subitems_daily_snapshot

select 
	f.[item_id],
	f.[status]
from 
	olap.[vw_fact_items_daily_snapshot] f
where 
	f.[snapshot_date] = '20090810' 
order by 
	f.[item_id]

select * from olap.[vw_bridge_date_datarange] where [id_date] = 20090810

select 
	f.[item_id],
	f.[status]
from 
	olap.[vw_fact_items] f 
inner join
	olap.[vw_bridge_date_datarange] bdd on [bdd].[id_date_range] = [f].[id_date_range]
where 
	bdd.[id_date] = 20090810
order by 
	f.[item_id]

