use [TemporalSnapshotFact]
go

select * from tmp.[daterange_items_all_ranges]
where [item_id] = 1
go

select * from tmp.[daterange_items_all_dates]
where [item_id] = 1
go

select * from tmp.[daterange_items_new_ranges]
where [item_id] = 1
go

select * from tmp.[daterange_all_new_ranges]
go

select
	i.item_id,
	i.status,
	old_valid_from = i.valid_from,
	old_valid_to = i.valid_to,
	r.valid_from,
	r.valid_to
from
	staging.[items] i
inner join
	tmp.[daterange_items_new_ranges] r on i.item_id = r.item_id
where
	(r.valid_from >= i.valid_from and r.valid_to <= i.valid_to)
and
	i.[item_id] = 1

select
	si.item_id,
	si.subitem_id,
	si.status,
	old_valid_from = si.valid_from,
	old_valid_to = si.valid_to,
	r.valid_from,
	r.valid_to
from
	staging.[subitems] si
inner join
	tmp.[daterange_items_new_ranges] r on si.item_id = r.item_id
where
	(r.valid_from >= si.valid_from and r.valid_to <= si.valid_to)
and
	si.[item_id] = 1
and	
	si.[subitem_id] = 1 --2